Create Flight Order
curl --request POST \
--url https://api.aisa.one/apis/v1/duffel/flights/orders/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"passengers": [
{
"born_on": "1987-07-24",
"email": "amelia@duffel.com",
"family_name": "Earhart",
"gender": "f",
"given_name": "Amelia",
"id": "pas_00009hj8USM7Ncg31cBCLL",
"phone_number": "+442080160509",
"title": "mrs",
"identity_documents": [
{
"expires_on": "2025-04-25",
"issuing_country_code": "GB",
"type": "passport",
"unique_identifier": "19KL56147"
}
],
"infant_passenger_id": "pas_00009hj8USM8Ncg32aTGHL",
"user_id": "icu_00009htyDGjIfajdNBZRlw"
}
],
"payments": [
{
"amount": "30.20",
"currency": "GBP",
"type": "balance",
"three_d_secure_session_id": "3ds_0000AWr2XsTRIF1Vp34gh5"
}
],
"selected_offers": [
"off_00009htyDGjIfajdNBZRlw"
],
"metadata": {
"payment_intent_id": "pit_00009htYpSCXrwaB9DnUm2"
},
"services": [
{
"id": "ase_00009hj8USM7Ncg31cB123",
"quantity": 1
}
],
"type": "instant",
"users": [
"icu_00009htyDGjIfajdNBZRlw"
]
}
}
'import requests
url = "https://api.aisa.one/apis/v1/duffel/flights/orders/create"
payload = { "data": {
"passengers": [
{
"born_on": "1987-07-24",
"email": "amelia@duffel.com",
"family_name": "Earhart",
"gender": "f",
"given_name": "Amelia",
"id": "pas_00009hj8USM7Ncg31cBCLL",
"phone_number": "+442080160509",
"title": "mrs",
"identity_documents": [
{
"expires_on": "2025-04-25",
"issuing_country_code": "GB",
"type": "passport",
"unique_identifier": "19KL56147"
}
],
"infant_passenger_id": "pas_00009hj8USM8Ncg32aTGHL",
"user_id": "icu_00009htyDGjIfajdNBZRlw"
}
],
"payments": [
{
"amount": "30.20",
"currency": "GBP",
"type": "balance",
"three_d_secure_session_id": "3ds_0000AWr2XsTRIF1Vp34gh5"
}
],
"selected_offers": ["off_00009htyDGjIfajdNBZRlw"],
"metadata": { "payment_intent_id": "pit_00009htYpSCXrwaB9DnUm2" },
"services": [
{
"id": "ase_00009hj8USM7Ncg31cB123",
"quantity": 1
}
],
"type": "instant",
"users": ["icu_00009htyDGjIfajdNBZRlw"]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
passengers: [
{
born_on: '1987-07-24',
email: 'amelia@duffel.com',
family_name: 'Earhart',
gender: 'f',
given_name: 'Amelia',
id: 'pas_00009hj8USM7Ncg31cBCLL',
phone_number: '+442080160509',
title: 'mrs',
identity_documents: [
{
expires_on: '2025-04-25',
issuing_country_code: 'GB',
type: 'passport',
unique_identifier: '19KL56147'
}
],
infant_passenger_id: 'pas_00009hj8USM8Ncg32aTGHL',
user_id: 'icu_00009htyDGjIfajdNBZRlw'
}
],
payments: [
{
amount: '30.20',
currency: 'GBP',
type: 'balance',
three_d_secure_session_id: '3ds_0000AWr2XsTRIF1Vp34gh5'
}
],
selected_offers: ['off_00009htyDGjIfajdNBZRlw'],
metadata: {payment_intent_id: 'pit_00009htYpSCXrwaB9DnUm2'},
services: [{id: 'ase_00009hj8USM7Ncg31cB123', quantity: 1}],
type: 'instant',
users: ['icu_00009htyDGjIfajdNBZRlw']
}
})
};
fetch('https://api.aisa.one/apis/v1/duffel/flights/orders/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "ord_0000BAzrYIJiDdmFJKIhcy",
"booking_reference": "DJMT4D",
"total_amount": "<string>",
"total_currency": "<string>",
"live_mode": true,
"documents": [
{
"id": "<string>",
"type": "electronic_ticket",
"unique_id": "<string>"
}
],
"available_actions": [
"<string>"
]
}
}{
"data": {
"airline_initiated_changes": [
{
"action_taken": "accepted",
"action_taken_at": "2022-01-17T10:12:14.545Z",
"added": [
{
"conditions": {
"change_before_departure": {
"allowed": true,
"penalty_amount": "100.00",
"penalty_currency": "GBP"
}
},
"destination": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"destination_type": "airport",
"duration": "PT02H26M",
"id": "sli_00009htYpSCXrwaB9Dn123",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_type": "airport",
"segments": [
{
"aircraft": {
"iata_code": "380",
"id": "arc_00009UhD4ongolulWd91Ky",
"name": "Airbus Industries A380"
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"destination": {
"city": {
"iata_code": "NYC",
"iata_country_code": "US",
"id": "cit_nyc_us",
"name": "New York"
},
"city_name": "New York",
"iata_city_code": "NYC",
"iata_code": "JFK",
"iata_country_code": "US",
"icao_code": "KJFK",
"id": "arp_jfk_us",
"latitude": 40.640556,
"longitude": -73.778519,
"name": "John F. Kennedy International Airport",
"time_zone": "America/New_York"
},
"destination_terminal": "5",
"distance": "424.2",
"duration": "PT02H26M",
"id": "seg_00009htYpSCXrwaB9Dn456",
"marketing_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"marketing_carrier_flight_number": "1234",
"operating_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_terminal": "B",
"passengers": [
{
"baggages": [
{
"quantity": 1,
"type": "checked"
}
],
"cabin_class": "economy",
"cabin_class_marketing_name": "Economy Basic",
"passenger_id": "passenger_0",
"seat": {
"designator": "14B",
"disclosures": [
"Do not seat children in exit row seats",
"Do not seat passengers with special needs in exit row seats"
],
"name": "Exit row seat"
}
}
],
"operating_carrier_flight_number": "4321",
"stops": [
{
"airport": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"duration": "PT02H26M",
"id": "sto_00009htYpSCXrwaB9Dn456"
}
]
}
],
"fare_brand_name": "Basic"
}
],
"available_actions": [
"accept",
"cancel",
"change"
],
"created_at": "2020-04-11T15:48:11.642Z",
"id": "aic_00001876aqC8c5umZmrRds",
"order_id": "xxx_00009hthhsUZ8W4LxQgkjo",
"removed": [
{
"conditions": {
"change_before_departure": {
"allowed": true,
"penalty_amount": "100.00",
"penalty_currency": "GBP"
}
},
"destination": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"destination_type": "airport",
"duration": "PT02H26M",
"id": "sli_00009htYpSCXrwaB9Dn123",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_type": "airport",
"segments": [
{
"aircraft": {
"iata_code": "380",
"id": "arc_00009UhD4ongolulWd91Ky",
"name": "Airbus Industries A380"
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"destination": {
"city": {
"iata_code": "NYC",
"iata_country_code": "US",
"id": "cit_nyc_us",
"name": "New York"
},
"city_name": "New York",
"iata_city_code": "NYC",
"iata_code": "JFK",
"iata_country_code": "US",
"icao_code": "KJFK",
"id": "arp_jfk_us",
"latitude": 40.640556,
"longitude": -73.778519,
"name": "John F. Kennedy International Airport",
"time_zone": "America/New_York"
},
"destination_terminal": "5",
"distance": "424.2",
"duration": "PT02H26M",
"id": "seg_00009htYpSCXrwaB9Dn456",
"marketing_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"marketing_carrier_flight_number": "1234",
"operating_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_terminal": "B",
"passengers": [
{
"baggages": [
{
"quantity": 1,
"type": "checked"
}
],
"cabin_class": "economy",
"cabin_class_marketing_name": "Economy Basic",
"passenger_id": "passenger_0",
"seat": {
"designator": "14B",
"disclosures": [
"Do not seat children in exit row seats",
"Do not seat passengers with special needs in exit row seats"
],
"name": "Exit row seat"
}
}
],
"operating_carrier_flight_number": "4321",
"stops": [
{
"airport": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"duration": "PT02H26M",
"id": "sto_00009htYpSCXrwaB9Dn456"
}
]
}
],
"fare_brand_name": "Basic"
}
],
"travel_agent_ticket": {},
"updated_at": "2020-01-17T10:12:14.545Z"
}
],
"base_amount": "60.60",
"base_currency": "GBP",
"booking_reference": "RZPNX8",
"cancellation": {
"airline_credits": [
{
"amount": "90.80",
"amount_currency": "GBP",
"code": "1234567890123",
"id": "act_00009qzZWzjDipIkqpaUAj",
"issued_on": "2023-02-24",
"passenger_id": "pas_00009hj8USM7Ncg31cBCLL",
"type": "eticket",
"credit_amount": "90.80",
"credit_code": "1234567890123",
"credit_currency": "GBP",
"credit_name": "Duffel Travel Credit"
}
],
"confirmed_at": "2020-01-17T11:51:43.114803Z",
"created_at": "2020-04-11T15:48:11.642Z",
"expires_at": "2020-01-17T10:42:14Z",
"id": "ore_00009qzZWzjDipIkqpaUAj",
"live_mode": false,
"order_id": "xxx_00009hthhsUZ8W4LxQgkjo",
"refund_amount": "90.80",
"refund_currency": "GBP",
"refund_to": "arc_bsp_cash"
},
"cancelled_at": "2020-04-11T15:48:11.642Z",
"changes": [
{
"change_total_amount": "30.50",
"change_total_currency": "GBP",
"confirmed_at": "2020-01-17T11:51:43.114803Z",
"created_at": "2020-04-11T15:48:11.642Z",
"expires_at": "2020-01-17T10:42:14.545052Z",
"id": "ocr_0000A3tQSmKyqOrcySrGbo",
"live_mode": false,
"new_total_amount": "121.30",
"new_total_currency": "GBP",
"order_id": "ord_0000A3tQcCRZ9R8OY0QlxA",
"penalty_total_amount": "15.50",
"penalty_total_currency": "GBP",
"refund_to": "voucher",
"slices": {
"add": [
{
"destination": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"destination_type": "airport",
"duration": "PT02H26M",
"fare_brand_name": "Basic",
"id": "xxx_00009hthhsUZ8W4LxQgkjo",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_type": "airport",
"segments": [
{
"aircraft": {
"iata_code": "380",
"id": "arc_00009UhD4ongolulWd91Ky",
"name": "Airbus Industries A380"
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"destination": {
"city": {
"iata_code": "NYC",
"iata_country_code": "US",
"id": "cit_nyc_us",
"name": "New York"
},
"city_name": "New York",
"iata_city_code": "NYC",
"iata_code": "JFK",
"iata_country_code": "US",
"icao_code": "KJFK",
"id": "arp_jfk_us",
"latitude": 40.640556,
"longitude": -73.778519,
"name": "John F. Kennedy International Airport",
"time_zone": "America/New_York"
},
"destination_terminal": "5",
"distance": "424.2",
"duration": "PT02H26M",
"id": "xxx_00009hthhsUZ8W4LxQgkjo",
"marketing_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"marketing_carrier_flight_number": "1234",
"operating_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"operating_carrier_flight_number": "4321",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_terminal": "B",
"passengers": [
{
"baggages": [
{
"quantity": 1,
"type": "checked"
}
],
"cabin_class": "economy",
"cabin_class_marketing_name": "Economy Basic",
"passenger_id": "passenger_0",
"seat": {
"designator": "14B",
"disclosures": [
"Do not seat children in exit row seats",
"Do not seat passengers with special needs in exit row seats"
],
"name": "Exit row seat"
}
}
]
}
]
}
],
"remove": [
{
"destination": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"destination_type": "airport",
"duration": "PT02H26M",
"fare_brand_name": "Basic",
"id": "xxx_00009hthhsUZ8W4LxQgkjo",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_type": "airport",
"segments": [
{
"aircraft": {
"iata_code": "380",
"id": "arc_00009UhD4ongolulWd91Ky",
"name": "Airbus Industries A380"
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"destination": {
"city": {
"iata_code": "NYC",
"iata_country_code": "US",
"id": "cit_nyc_us",
"name": "New York"
},
"city_name": "New York",
"iata_city_code": "NYC",
"iata_code": "JFK",
"iata_country_code": "US",
"icao_code": "KJFK",
"id": "arp_jfk_us",
"latitude": 40.640556,
"longitude": -73.778519,
"name": "John F. Kennedy International Airport",
"time_zone": "America/New_York"
},
"destination_terminal": "5",
"distance": "424.2",
"duration": "PT02H26M",
"id": "xxx_00009hthhsUZ8W4LxQgkjo",
"marketing_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"marketing_carrier_flight_number": "1234",
"operating_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"operating_carrier_flight_number": "4321",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_terminal": "B",
"passengers": [
{
"baggages": [
{
"quantity": 1,
"type": "checked"
}
],
"cabin_class": "economy",
"cabin_class_marketing_name": "Economy Basic",
"passenger_id": "passenger_0",
"seat": {
"designator": "14B",
"disclosures": [
"Do not seat children in exit row seats",
"Do not seat passengers with special needs in exit row seats"
],
"name": "Exit row seat"
}
}
]
}
]
}
]
}
}
],
"conditions": {
"change_before_departure": {
"allowed": true,
"penalty_amount": "100.00",
"penalty_currency": "GBP"
},
"refund_before_departure": {
"allowed": true,
"penalty_amount": "100.00",
"penalty_currency": "GBP"
}
},
"created_at": "2020-04-11T15:48:11.642Z",
"documents": [
{
"passenger_ids": [
"pas_00009hj8USM7Ncg31cBCLL"
],
"type": "electronic_ticket",
"unique_identifier": "1252106312810"
}
],
"id": "ord_00009hthhsUZ8W4LxQgkjo",
"live_mode": false,
"metadata": {
"customer_prefs": "window seat",
"payment_intent_id": "pit_00009htYpSCXrwaB9DnUm2"
},
"offer_id": "off_00009htYpSCXrwaB9DnUm0",
"owner": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"passengers": [
{
"born_on": "1987-07-24",
"email": "amelia@duffel.com",
"family_name": "Earhart",
"gender": "f",
"given_name": "Amelia",
"id": "pas_00009hj8USM7Ncg31cBCLL",
"infant_passenger_id": "pas_00009hj8USM8Ncg32aTGHL",
"loyalty_programme_accounts": [
{
"account_number": "12901014",
"airline_iata_code": "BA"
}
],
"phone_number": "+442080160509",
"title": "mrs",
"type": "adult"
}
],
"payment_status": {
"awaiting_payment": true,
"paid_at": "2020-01-17T10:42:14.545Z",
"payment_required_by": "2020-01-17T10:42:14.545Z",
"price_guarantee_expires_at": "2020-01-17T10:42:14.545Z"
},
"services": [
{
"id": "ser_00009UhD4ongolulWd9123",
"metadata": {
"type": "checked",
"maximum_depth_cm": 75,
"maximum_height_cm": 90,
"maximum_length_cm": 90,
"maximum_weight_kg": 23
},
"passenger_ids": [
"pas_00009hj8USM7Ncg31cBCLL"
],
"quantity": 1,
"segment_ids": [
"seg_00009hj8USM7Ncg31cB456"
],
"total_amount": "15.00",
"total_currency": "GBP",
"type": "seat"
}
],
"slices": [
{
"conditions": {
"change_before_departure": {
"allowed": true,
"penalty_amount": "100.00",
"penalty_currency": "GBP"
}
},
"destination": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"destination_type": "airport",
"duration": "PT02H26M",
"id": "sli_00009htYpSCXrwaB9Dn123",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_type": "airport",
"segments": [
{
"aircraft": {
"iata_code": "380",
"id": "arc_00009UhD4ongolulWd91Ky",
"name": "Airbus Industries A380"
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"destination": {
"city": {
"iata_code": "NYC",
"iata_country_code": "US",
"id": "cit_nyc_us",
"name": "New York"
},
"city_name": "New York",
"iata_city_code": "NYC",
"iata_code": "JFK",
"iata_country_code": "US",
"icao_code": "KJFK",
"id": "arp_jfk_us",
"latitude": 40.640556,
"longitude": -73.778519,
"name": "John F. Kennedy International Airport",
"time_zone": "America/New_York"
},
"destination_terminal": "5",
"distance": "424.2",
"duration": "PT02H26M",
"id": "seg_00009htYpSCXrwaB9Dn456",
"marketing_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"marketing_carrier_flight_number": "1234",
"operating_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_terminal": "B",
"passengers": [
{
"baggages": [
{
"quantity": 1,
"type": "checked"
}
],
"cabin_class": "economy",
"cabin_class_marketing_name": "Economy Basic",
"passenger_id": "passenger_0",
"seat": {
"designator": "14B",
"disclosures": [
"Do not seat children in exit row seats",
"Do not seat passengers with special needs in exit row seats"
],
"name": "Exit row seat"
}
}
],
"operating_carrier_flight_number": "4321",
"stops": [
{
"airport": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"duration": "PT02H26M",
"id": "sto_00009htYpSCXrwaB9Dn456"
}
]
}
],
"fare_brand_name": "Basic"
}
],
"synced_at": "2020-04-11T15:48:11Z",
"tax_amount": "30.20",
"tax_currency": "GBP",
"total_amount": "90.80",
"total_currency": "GBP",
"void_window_ends_at": "2020-04-11T15:48:11Z",
"available_actions": [
"cancel",
"update"
],
"booking_references": [
{
"booking_reference": "RZPNX8",
"carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
}
}
],
"content": "self_managed",
"intended_payment_methods": [
{
"card_id": "tcd_0000A3t2sL46m5eDF45kWW",
"charge_amount": "500.20",
"charge_currency": "GBP",
"surcharge_amount": "30.20",
"surcharge_currency": "GBP",
"type": "card"
}
],
"tax_breakdown": [
{
"amount": "26.00",
"carrier_imposed": false,
"code": "GB",
"currency": "GBP",
"description": "UK Air Passenger Duty, an excise duty charged on each passenger departing from a UK airport, banded by distance and cabin.",
"name": "UK Air Passenger Duty"
}
],
"type": "instant",
"users": [
"icu_00009htyDGjIfajdNBZRlw"
]
},
"meta": {
"limit": 123,
"before": "<string>",
"after": "<string>"
}
}Duffel Flights
Create Flight Order
Book the selected offer; response includes booking reference and documents
POST
https://api.aisa.one
/
apis
/
v1
/
duffel
/
flights
/
orders
/
create
Create Flight Order
